automultiplechoice.dtx fails to create sty file

Added by Hilmar Preusse about 1 year ago

Recently we updated to TL 2018 in Debian unstable. Since then the generation of the automultiplechoice.sty from automultiplechoice.dtx fails:

********************************************************
* No Configuration file found, using default settings. *
********************************************************

)

Generating file(s) ./automultiplechoice.sty 

Processing file automultiplechoice.dtx (package) -> automultiplechoice.sty
! Undefined control sequence.
\GenericError  ...                                
                                                    #4  \errhelp \@err@     ...
l.54 ...}{\from{automultiplechoice.dtx}{package}}}
                                                  ^^M
? s
OK, entering \scrollmode...

This has worked in TL 2017 and I guess it is not a failure of TL. I tried the version from git too, but the problem was not solved. Do you have a fast idea how to solve it? Thanks!


Replies (3)

RE: automultiplechoice.dtx fails to create sty file - Added by Alexis Bienvenüe about 1 year ago

Thanks for the report. This comes from the Japanese characters in the dtx file (see https://github.com/latex3/latex2e/issues/34).
This should be fixed with git:8a99378.

RE: automultiplechoice.dtx fails to create sty file - Added by Hilmar Preusse about 1 year ago

OK, I've seen that LaTeX bug, but it was simply closed and not connected to a commit. The git id I found neither in your repo nor in the LaTeX repo. Could you give a pointer? Thanks!

Hilmar

RE: automultiplechoice.dtx fails to create sty file - Added by Hilmar Preusse about 1 year ago

Aeehm, you sent me already a link. Sorry I missed that I just have to click on it.

(1-3/3)